Package com.independentsoft.office.odf.styles

# Enum Class AnimationDirection

java.lang.Object
java.lang.Enum<AnimationDirection>
com.independentsoft.office.odf.styles.AnimationDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<AnimationDirection>`, `Constable`

public enum AnimationDirection extends Enum<AnimationDirection>
Represents the scroll direction of animated text.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOWN`
  Animated text scrolls down.
  `LEFT`
  Animated text scrolls left.
  `NONE`
  None.
  `RIGHT`
  Animated text scrolls right.
  `UP`
  Animated text scrolls up.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AnimationDirection`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static AnimationDirection[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final AnimationDirection LEFT
    Animated text scrolls left.

  - ### UP

    public static final AnimationDirection UP
    Animated text scrolls up.

  - ### RIGHT

    public static final AnimationDirection RIGHT
    Animated text scrolls right.

  - ### DOWN

    public static final AnimationDirection DOWN
    Animated text scrolls down.

  - ### NONE

    public static final AnimationDirection NONE
    None.

- ## Method Details

  - ### values

    public static AnimationDirection[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AnimationDirection valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null